## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# do not use github sources, they include the js web sources and so on also
Name:           python-bids-validator
Version:        1.14.5
Release:        %autorelease
Summary:        Validator for the Brain Imaging Data Structure

# The entire source is MIT, except that _version.py is generated by versioneer
# and, strictly speaking, is distributed under the same Unlicense terms.
License:        MIT AND Unlicense
URL:            https://github.com/bids-standard/bids-validator
Source:         %{pypi_source bids-validator}

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
A library of helper functions written in Python, for use with BIDS compliant
applications written in this language.}

%description %{common_description}


%package -n python3-bids-validator
Summary:        %{summary}

%description -n python3-bids-validator %{common_description}


%prep
%autosetup -n bids-validator-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
# The test module really shouldn’t be installed with the package:
mv -v bids_validator/test_*.py ./
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l bids_validator


%check
# Upstream tests require downloading data, and it's not obvious how we could
# make them work with pre-downloaded data.
%pyproject_check_import


%files -n python3-bids-validator -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.14.5-2
- Rebuilt for Python 3.13

* Wed Apr 10 2024 Packit <hello@packit.dev> - 1.14.5-1
- Update to 1.14.5 upstream release
- Resolves: rhbz#2273711

* Wed Apr 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14.4-2
- Assert that the .dist-info directory contains a license file

* Fri Mar 15 2024 Packit <hello@packit.dev> - 1.14.4-1
- [packit] 1.14.4 upstream release
- Resolves rhbz#2269729

* Tue Mar 12 2024 Packit <hello@packit.dev> - 1.14.3-1
- [packit] 1.14.3 upstream release
- Resolves rhbz#2269274

* Fri Feb 23 2024 Packit <hello@packit.dev> - 1.14.1-1
- [packit] 1.14.1 upstream release
- Resolves rhbz#2265696

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14.0-2
- Add Unlicense to License for _version.py due to Versioneer

* Tue Nov 28 2023 Packit <hello@packit.dev> - 1.14.0-1
- [packit] 1.14.0 upstream release
- Resolves rhbz#2251985

* Mon Oct 16 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.13.1-1
- feat: update to 1.13.1 (fixes rh#2238838)

* Mon Oct 16 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.12.0-3
- chore: add packit

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12.0-1
- Update to 1.12.0 (close RHBZ#2218978)

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.11.0-2
- Rebuilt for Python 3.12

* Mon May 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.0-1
- Update to 1.11.0 (close RHBZ#2179368)

* Fri Feb 17 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.10.0-1
- feat: update to 1.10.0 (fixes rhbz#2069442)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.2-3
- Fix extra newline in description

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.9.2-2
- Rebuilt for Python 3.11

* Sat Feb 19 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.9.2-1
- feat: update to 1.9.2 (fixes rhbz#2055345)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.9-1
- Update to 1.8.9 (close RHBZ#2033079)

* Sat Dec 04 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.8-1
- Update to 1.8.8 (close RHBZ#2028645)

* Sun Nov 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.4-1
- Update to 1.8.4 (close RHBZ#2020976)
- Switch to pyproject-rpm-macros (“new guidelines”)
- Backport updated versioneer from 1.8.5, which is not yet on PyPI, fixing
  Python 3.11 support (fix RHBZ#20190576)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-9
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 08 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.2-1
- Initial package

## END: Generated by rpmautospec
